%define	module_name	Time-HiRes
%define	enable_tests	0

%define	__find_provides %{_libdir}/rpm/find-provides.perl
%define	__find_requires	%{_libdir}/rpm/find-requires.perl

Summary:	A Perl module for precise time measurements.
Name:		perl-%{module_name}
Group:		Utilities/CPAN
License:	distributable
Version:	1.73
Release:	3
Source0:	%{module_name}-%{version}.tar.gz
Requires:	perl >= 5.8.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
URL:		http://search.cpan.org/CPAN/authors/id/J/JH/JHI/

%description
The Time::HiRes module implements a Perl interface to the usleep,
ualarm, and gettimeofday system calls.  This allows for very
precise timing measurements inside of Perl scripts.

%files -f %{module_name}-%{version}-filelist
  %defattr(-,root,root)

%prep
%setup -q -n %{module_name}-%{version}

%build
  export OPTIMIZE="$RPM_OPT_FLAGS"
  export CFLAGS="$RPM_OPT_FLAGS"
  perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/%{_prefix} INSTALLDIRS=vendor
  make

  %if %{enable_tests}
    make test || :
  %endif

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make install

  [ -x %{_prefix}/lib/rpm/brp-compress ] && %{_prefix}/lib/rpm/brp-compress

  # Kill unused files.
  find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

  # Build filelist.
  find $RPM_BUILD_ROOT/%{_prefix} -type f -print |
	sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v perllocal.pod |
	grep -v "\.packlist" > %{module_name}-%{version}-filelist

  # Sanity check.
  if [ "$(cat %{module_name}-%{version}-filelist)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 25 2005 Peter O'Hara <pete@guardiandigital.com>
- Version 1.73, Release 3
  - Upgrade to latest

* Tue Jul 26 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.71, Release 2
  - Don't look for brp-compress in %{_libdir} as it doesn't
    work on 64bit systems.

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.71, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
